<?php

namespace Modules\ChipOrder\Interfaces;

use Modules\ChipOrder\Models\ChipOrder;

interface ChipOrderRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function getItemTrashed(int $id);
    public function create(array $request): ChipOrder;
    public function createOrderProduct(array $request);
    public function update(array $request, ChipOrder $chipOrder): ChipOrder;
    public function destroy(ChipOrder $chipOrder): void;
    public function destroyAll(array $ids): void;
    public function restore(ChipOrder $chipOrder): void;
    public function restoreAll(array $ids): void;

}
